Name:           bitbake
Version:        1.17.0
Release:        1%{?dist}
Summary:        Build tool executing tasks and managing metadata
License:        GPLv2
URL:            http://en.wikipedia.org/wiki/BitBake
Source0:        http://git.openembedded.org/bitbake/snapshot/bitbake-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  dblatex
BuildRequires:  python2-devel
BuildRequires:  libxslt
BuildRequires:  lynx
BuildRequires:  xmlto
Requires:       python-ply
Requires:       python-progressbar

%description
BitBake is a make-like build tool with the special focus of distributions and
packages for embedded Linux cross compilation although it is not limited to 
that. It is derived from Portage, which is the package management system used 
by the Gentoo Linux distribution. BitBake existed for some time in the 
OpenEmbedded project until it was separated out into a standalone, maintained,
distribution-independent tool. BitBake is co-maintained by the Yocto Project 
and the OpenEmbedded project.

%prep
%setup -q

%build
%{__python2} setup.py build

# Generating docs
make -C doc/manual all

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

# We strip bad shebangs (/usr/bin/env) instead of fixing them
# since these files are not executable anyways
find %{buildroot}/%{python_sitelib} -name '*.py' \
  -exec grep -q '^#!' '{}' \; -print | while read F
do
  awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
  touch -r $F chopped
  mv chopped $F
done

# Removing extra docs
rm -rf %{buildroot}%{_docdir}

%files
%doc AUTHORS ChangeLog COPYING TODO
%doc doc/manual/xhtml/ doc/manual/txt/usermanual.txt
%doc doc/manual/pdf/usermanual.pdf
%{_bindir}/bitbake*
%{_bindir}/image-writer
%{_datadir}/bitbake/
%{python2_sitelib}/*

%%changelog
* Wed Jul 02 2014 Christopher Meng <rpm@cicku.me> - 1.17.0-1
- Update to 1.17.0

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.18-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.8.18-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Sun Nov 15 2009 Michal Ingeli <mi@v3.sk> - 1.8.18-1
- Update to current release
- Stripped shebangs from non-executable python scripts
- Fixed documentation file encoding 

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.8.10-2
- Rebuild for Python 2.6

* Sun Sep 07 2008 Andreas Thienemann <andreas@bawue.net> - 1.8.10-1
- Updated to 1.8.10
- Include .egg
- Fix FTBFS #440562

* Mon Jul 14 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.8.8-2
- fix license tag

* Fri Aug 31 2007 Andreas Thienemann <andreas@bawue.net> - 1.8.8-1
- Updated to 1.8.8

* Tue Aug 14 2007 Andreas Thienemann <andreas@bawue.net> - 1.8.6-1
- Updated to 1.8.6

* Tue Mar 06 2007 Andreas Thienemann <andreas@bawue.net> - 1.6.6-1
- Updated to 1.6.6
- Reverted FHS patch, as upstream includes it by now

* Thu Dec 14 2006 Jason L Tibbitts III <tibbs@math.uh.edu> - 1.6.0-2
- Rebuild for updated python, add python-devel dependency.

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 1.6.0-1
- Updated to 1.6.0

* Fri Aug 11 2006 Andreas Thienemann <andreas@bawue.net> 1.4.2-1
- Updated to 1.4.2

* Wed Apr 26 2006 Andreas Thienemann <andreas@bawue.net> 1.4.0-1
- Updated to 1.4.0
- Modified to conform to FC4+ .spec syntax.

* Thu Apr 13 2006 Andreas Thienemann <andreas@bawue.net> 1.3.3-2
- Cleaned up .spec.

* Thu Feb 16 2006 Andreas Thienemann <andreas@bawue.net> 1.3.3-1
- Initial spec.
